﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Constellations
{
    /// <summary>
    /// Eine Koordinate aus Rektaszension und Deklination.
    /// </summary>
    public class Coordinate
    {
        #region Member

        /// <summary>
        /// Die Rektaszension.
        /// </summary>
        private double _rektaszension;
        /// <summary>
        /// Die Deklination.
        /// </summary>
        private double _deklination;

        #endregion

        #region Konstruktion

        /// <summary>
        /// Konstruktor.
        /// </summary>
        public Coordinate()
        {
            _rektaszension = Double.NaN;
            _deklination = Double.NaN;
        }

        /// <summary>
        /// Konstruktor mit Parameter.
        /// </summary>
        /// <param name="ra">Rektaszension.</param>
        /// <param name="dec">Deklination.</param>
        public Coordinate(double ra, double dec)
        {
            _rektaszension = ra;
            _deklination = dec;
        }

        #endregion

        #region Properties

        /// <summary>
        /// Die Rektaszension.
        /// </summary>
        public double Rektaszension
        {
            get { return _rektaszension; }
            set { _rektaszension = value; }
        }

        /// <summary>
        /// Die Deklination.
        /// </summary>
        public double Deklination
        {
            get { return _deklination; }
            set { _deklination = value; }
        }

        #endregion

    } // Klasse: Coordinate

} // Namespace
